# -*- coding: utf-8 -*-
"""
公共方法，包含：生成log / 删除log
"""
from typing import Optional
from loguru import logger

from aliyun.log import PutLogsRequest, LogClient, LogItem


proxies = {"http": None, "https": None}


class AliyunLogger:

    # 写入阿里云日志
    @staticmethod
    def logging(
            video_id: str,
            data: Optional[str] = None):
        """
        写入阿里云日志
        测试库: https://sls.console.aliyun.com/lognext/project/crawler-log-dev/logsearch/crawler-log-dev
        正式库: https://sls.console.aliyun.com/lognext/project/crawler-log-prod/logsearch/crawler-log-prod
        """
        accessKeyId = "LTAIWYUujJAm7CbH"
        accessKey = "RfSjdiWwED1sGFlsjXv0DlfTnZTG1P"

        project = "crawler-log-prod"
        logstore = "temp"
        endpoint = "cn-hangzhou.log.aliyuncs.com"
        try:
            contents = [
                ("video_id", video_id),
                ("data", data),
            ]
            # 创建 LogClient 实例
            client = LogClient(endpoint, accessKeyId, accessKey)
            log_group = []
            log_item = LogItem()
            log_item.set_contents(contents)
            log_group.append(log_item)
            # 写入日志
            request = PutLogsRequest(
                project=project,
                logstore=logstore,
                topic="",
                source="",
                logitems=log_group,
                compress=False,
            )

            client.put_logs(request)
        except Exception as e:
            logger.info( f'[+] 日志写入失败: {e}' )